      PROGRAM example
      IMPLICIT NONE
      REAL*8 x, xmax
      CALL initial                          ! 初期条件とパラメータの設定
      DO WHILE(x .LE. xmax)                 ! x が定められた値以下である限り繰り返す
         CALL Euler                         ! 繰り返し
      END DO
      END
